Belune
Deployments

Generate Deploy Hook

POST
/api/projects/{projectId}/applications/{applicationId}/deploy-hook
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Path Parameters

projectId*string
Formatuuid
applicationId*string
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/deploy-hook"
{  "enabled": true,  "path": "string",  "token": "string"}